import 'package:car_provider_app/config/routes.dart';
import 'package:car_provider_app/generated/locale_keys.g.dart';
import 'package:car_provider_app/utils/navigator.dart';
import 'package:car_provider_app/widgets/app_bar.dart';
import 'package:car_provider_app/widgets/extensions/int_extensions.dart';
import 'package:car_provider_app/widgets/extensions/string_extensions.dart';
import 'package:car_provider_app/widgets/button/show_fill_button.dart';
import 'package:car_provider_app/widgets/txt_field.dart';
import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';

class Profile1Page extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: appBar(context,title: LocaleKeys.signUp.tr()),
      body: Container(
        width: double.infinity,
        height: double.infinity,
        child: SingleChildScrollView(
          child: Padding(
            padding: EdgeInsets.all(40),
            child: Column(
              children: [
                LocaleKeys.completeProfile1.tr().toText16(),
                LocaleKeys.userInformation.tr().toText14(),
                12.height,
                TxtField(
                  hint: LocaleKeys.provider.tr(),
                ),
                12.height,
                TxtField(
                  hint: LocaleKeys.firstName.tr(),
                ),
                12.height,
                TxtField(
                  hint:LocaleKeys.surname.tr(),
                ),
                12.height,
                TxtField(
                  hint: LocaleKeys.email.tr(),
                ),
                12.height,
                TxtField(
                  hint: LocaleKeys.createPassword.tr(),
                ),
                12.height,
                TxtField(
                  hint:LocaleKeys.confirmPassword.tr(),
                ),
                12.height,
                TxtField(
                  hint: LocaleKeys.enterPhoneNumber.tr(),
                ),
                50.height,
                LocaleKeys.termsOfService.tr().toText14(),
                16.height,
                ShowFillButton(
                  title: LocaleKeys.continu.tr(),
                  maxWidth: double.infinity,
                  onPressed: () {
                    navigateWithName(context, AppRoutes.profile2);
                  },
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
